; Default configuration file for PHPDoctor

; This config file will cause PHPDoctor to generate API documentation of
; itself.


; PHPDoctor settings
; -----------------------------------------------------------------------------

; Names of files to parse. This can be a single filename, or a comma separated
; list of filenames. Wildcards are allowed.

files = "*.php"

; Names of files or directories to ignore. This can be a single filename, or a
; comma separated list of filenames. Wildcards are NOT allowed.

ignore = "CVS, .svn, .git, _compiled"

; The directory to look for files in, if not used the PHPDoctor will look in
; the current directory (the directory it is run from).

source_path = "./"

; If you do not want PHPDoctor to look in each sub directory for files
; uncomment this line.

;subdirs = off

; Set how loud PHPDoctor is as it runs. Quiet mode suppresses all output other
; than warnings and errors. Verbose mode outputs additional messages during
; execution.

;quiet = on
;verbose = on

; Select the doclet to use for generating output.

doclet = standard
;doclet = debug

; The directory to find the doclet in. Doclets are expected to be in a
; directory named after themselves at the location given.

;doclet_path = ./doclets

; The directory to find taglets in. Taglets allow you to make PHPDoctor handle
; new tags and to alter the behavour of existing tags and their output.

;taglet_path = ./taglets

; If the code you are parsing does not use package tags or not all elements
; have package tags, use this setting to place unbound elements into a
; particular package.

default_package = "phpMyAdmin"

; Specifies the name of a HTML file containing text for the overview
; documentation to be placed on the overview page. The path is relative to
; "source_path" unless an absolute path is given.

overview = readme.html

; Package comments will be looked for in a file named package.html in the same
; directory as the first source file parsed in that package or in the directory
; given below. If package comments are placed in the directory given below then
; they should be named "<packageName>.html".

package_comment_dir = ./

; Parse out global variables and/or global constants?

;globals = off
;constants = off

; Generate documentation for all class members

;private = on

; Generate documentation for public and protected class members

;protected = on

; Generate documentation for only public class members

;public = on

; Standard doclet settings
; -----------------------------------------------------------------------------

; The directory to place generated documentation in. If the given path is
; relative to it will be relative to "source_path".

d = "apidoc"

; Specifies the title to be placed in the HTML <title> tag.

windowtitle = "phpMyAdmin"

; Specifies the title to be placed near the top of the overview summary file.

doctitle = "phpMyAdmin: The PHP Documentation Creator"

; Specifies the header text to be placed at the top of each output file. The
; header will be placed to the right of the upper navigation bar. 

header = "phpMyAdmin"

; Specifies the footer text to be placed at the bottom of each output file. The
; footer will be placed to the right of the lower navigation bar.

footer = "phpMyAdmin"

; Specifies the text to be placed at the bottom of each output file. The text
; will be placed at the bottom of the page, below the lower navigation bar.

;bottom = "This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a>"

; Create a class tree?

;tree = off

; Use GeSHi to include formatted source files in the documentation

;include_source = off

